# -*- coding: utf-8 -*-

# Copyright (c) 2004 - 2005 Detlev Offenbach <detlev@die-offenbachs.de>
#

"""
Module implementing a Bash lexer with some additional methods.
"""

from qtext import QextScintillaLexerBash
from qt import *

from Lexer import Lexer

class LexerBash(QextScintillaLexerBash, Lexer):
    """ 
    Subclass to implement some additional lexer dependant methods.
    """
    def __init__(self, parent=None, name=None):
        """
        Constructor
        
        @param parent parent widget of this lexer
        @param name name of this lexer
        """
        QextScintillaLexerBash.__init__(self, parent, name)
        Lexer.__init__(self)
        
        self.commentString = QString("##")
